# $Revision: 1.208 $, $Date: 2012/07/02 16:45:05 $
# TODO
# - vgscan --ignorelocking failure creates /var/lock/lvm (even if /var is not yet mounted)
# - --with-replicators (=internal/shared/none, default is none)?
# - OCF agents?
#
# Conditional build:
%bcond_without	initrd		# don't build initrd version
%bcond_without	uClibc		# link initrd version with uClibc
%bcond_with	dietlibc	# link initrd version with dietlibc
%bcond_with	glibc		# link initrd version with static GLIBC
%bcond_without  cluster		# disable all cluster support (clvmd&cmirrord)
%bcond_without  cman		# disable cman cluster support (clvmd)
%bcond_without	corosync	# disable corosync cluster support (clvmd&cmirrord)
%bcond_without	openais		# disable openais cluster support (clvmd)
%bcond_with	lvmetad		# enable lvmetad
%bcond_without	selinux		# disable SELinux

%ifarch sparc64 sparc
%define		with_glibc 1
%endif

# if one of the *libc is enabled disable default dietlibc
%if %{with dietlibc} && %{with uClibc}
%undefine	with_dietlibc
%endif

# with glibc disables default dietlibc
%if %{with glibc} && %{with dietlibc}
%undefine	with_dietlibc
%endif

# fallback is glibc if neither alternatives are enabled
%if %{without dietlibc} && %{without uClibc}
%define		with_glibc	1
%endif

%if %{without cman} && %{without corosync} && %{without openais}
%undefine	with_cluster
%endif

Summary:	The new version of Logical Volume Manager for Linux
Summary(pl.UTF-8):	Nowa wersja Logical Volume Managera dla Linuksa
Name:		lvm2
Version:	2.02.95
Release:	11
License:	GPL v2
Group:		Applications/System
Source0:	ftp://sources.redhat.com/pub/lvm2/LVM2.%{version}.tgz
# Source0-md5:	bd470a802046c807603618a443732ea7
Source1:	%{name}-tmpfiles.conf
Patch0:		%{name}-selinux.patch
Patch1:		%{name}-diet.patch
Patch2:		device-mapper-dmsetup-export.patch
Patch3:		%{name}-clvmd_init.patch
Patch4:		dl-dlsym.patch
Patch5:		pldize_lvm2_monitor.patch
Patch6:		%{name}-wrapper.patch
Patch7:		udev-deprecated.patch
Patch8:		%{name}-lvm_path.patch
URL:		http://sources.redhat.com/lvm2/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake
%{?with_selinux:BuildRequires:	libselinux-devel >= 1.10}
%{?with_selinux:BuildRequires:	libsepol-devel}
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(macros) >= 1.647
BuildRequires:	udev-devel >= 143
%if %{with initrd}
%if %{with dietlibc}
BuildRequires:	dietlibc-static >= 2:0.32-7
BuildConflicts:	device-mapper-dietlibc
%endif
%if %{with glibc}
%{?with_selinux:BuildRequires:	libselinux-static}
%{?with_selinux:BuildRequires:	libsepol-static}
%endif
%{?with_glibc:BuildRequires:	glibc-static}
%{?with_uClibc:BuildRequires:	uClibc-static >= 2:0.9.29}
%endif
%if %{with cluster}
%{?with_cman:BuildRequires:	cluster-cman-devel}
BuildRequires:	cluster-dlm-devel
%if %{with corosync} || %{with openais}
BuildRequires:	corosync-devel
%endif
%{?with_openais:BuildRequires:	openais-devel >= 1.0}
%endif
Requires(post,preun,postun):	systemd-units >= 38
Requires:	device-mapper >= %{version}-%{release}
%{?with_selinux:Requires:	libselinux >= 1.10}
Requires:	systemd-units >= 38
# doesn't work with 2.4 kernels
Requires:	uname(release) >= 2.6
Obsoletes:	lvm
Obsoletes:	lvm2-systemd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin
%define		_usrsbindir	/usr/sbin

# changing CFLAGS in the middle confuses confcache
%undefine	configure_cache

# borken on AC
%define		filterout_ld	-Wl,--as-needed

# for some reason known only to rpm there must be "\\|" not "\|" here
%define		dietarch	%(echo %{_target_cpu} | sed -e 's/i.86\\|pentium.\\|athlon/i386/;s/amd64/x86_64/;s/armv.*/arm/')
%define		dietlibdir	%{_prefix}/lib/dietlibc/lib-%{dietarch}

%define		skip_post_check_so	'.*libdevmapper-event-lvm2.so.*'

%description
This package includes a number of utilities for creating, checking,
and repairing logical volumes.

%description -l pl.UTF-8
Pakiet ten zawiera narzędzia do tworzenia, sprawdzania i naprawiania
logicznych wolumenów dyskowych (LVM2).

%package initrd
Summary:	The new version of Logical Volume Manager for Linux - initrd version
Summary(pl.UTF-8):	Nowa wersja Logical Volume Managera dla Linuksa - wersja dla initrd
Group:		Base
Conflicts:	geninitrd < 10000.18

%description initrd
This package includes a number of utilities for creating, checking,
and repairing logical volumes - staticaly linked for initrd.

%description initrd -l pl.UTF-8
Pakiet ten zawiera narzędzia do tworzenia, sprawdzania i naprawiania
logicznych wolumenów dyskowych (LVM2) - statycznie skonsolidowane na
potrzeby initrd.

%package clvmd
Summary:	Cluster LVM daemon
Summary(pl.UTF-8):	Demon clustra LVM
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description clvmd
clvmd is the daemon that distributes  LVM  metadata  updates  around
a cluster.   It must be running on all nodes in the cluster and will
give an error if a node in the cluster does not have this daemon
running.

%description clvmd -l pl.UTF-8
clvmd to demon który rozprowadza zmiany meta-danych LVM po klastrze.
Mysi działać na wszystkich węzłach klastra i zgłosi błąd gdy
jakiś węzeł w klastrze nie ma tego demona uruchomionego.

%package cmirrord
Summary:	Cluster mirror log daemon
Group:		Applications/System
Requires:	cluster-cman
Requires:	%{name} = %{version}-%{release}

%description cmirrord
cmirrord is the daemon that tracks mirror log information in a cluster.
It is specific to device-mapper based mirrors (and by extension, LVM cluster
mirrors). Cluster mirrors are not possible without this daemon running.

This daemon relies on the cluster infrastructure provided by the Cluster
MANager (CMAN), which must be set up and running in order for cmirrord to
function.

%package -n device-mapper
Summary:	Userspace support for the device-mapper
Summary(pl.UTF-8):	Wsparcie dla mapowania urządzeń w przestrzeni użytkownika
Group:		Base
Requires(post,preun,postun):	systemd-units >= 38
Requires:	systemd-units >= 38

%description -n device-mapper
The goal of this driver is to support volume management. The driver
enables the definition of new block devices composed of ranges of
sectors of existing devices. This can be used to define disk
partitions - or logical volumes. This light-weight kernel component
can support user-space tools for logical volume management.

%description -n device-mapper -l pl.UTF-8
Celem tego sterownika jest obsługa zarządzania wolumenami. Sterownik
włącza definiowanie nowych urządzeń blokowych złożonych z przedziałów
sektorów na istniejących urządzeniach. Może to być wykorzystane do
definiowania partycji na dysku lub logicznych wolumenów. Ten lekki
składnik jądra może wspierać działające w przestrzeni użytkownika
narzędzia do zarządzania logicznymi wolumenami.

%package -n device-mapper-devel
Summary:	Header files and development documentation for %{name}
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do %{name}
Group:		Development/Libraries
Requires:	device-mapper = %{version}-%{release}
%if %{with selinux}
Requires:	libselinux-devel
Requires:	libsepol-devel
%endif

%description -n device-mapper-devel
Header files and development documentation for %{name}.

%description -n device-mapper-devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do %{name}.

%package -n device-mapper-static
Summary:	Static devmapper library
Summary(pl.UTF-8):	Statyczna biblioteka devmapper
License:	LGPL v2.1
Group:		Development/Libraries
Requires:	device-mapper-devel = %{version}-%{release}

%description -n device-mapper-static
Static devmapper library.

%description -n device-mapper-static -l pl.UTF-8
Statyczna biblioteka devmapper.

%package -n device-mapper-dietlibc
Summary:	Static devmapper library built with dietlibc
Summary(pl.UTF-8):	Statyczna biblioteka devmapper zbudowana z dietlibc
License:	LGPL v2.1
Group:		Development/Libraries
Requires:	device-mapper-devel = %{version}-%{release}

%description -n device-mapper-dietlibc
Static devmapper library built with dietlibc.

%description -n device-mapper-dietlibc -l pl.UTF-8
Statyczna biblioteka devmapper zbudowana z dietlibc.

%package -n device-mapper-initrd
Summary:	Userspace support for the device-mapper - initrd version
Summary(pl.UTF-8):	Wsparcie dla mapowania urządzeń w przestrzeni użytkownika - wersja dla initrd
Group:		Base
Obsoletes:	device-mapper-initrd-devel
Conflicts:	geninitrd < 10000.10

%description -n device-mapper-initrd
The goal of this driver is to support volume management. The driver
enables the definition of new block devices composed of ranges of
sectors of existing devices. This can be used to define disk
partitions - or logical volumes. This light-weight kernel component
can support user-space tools for logical volume management.

This package contains dmsetup program linked staticaly for use in
initrd.

%description -n device-mapper-initrd -l pl.UTF-8
Celem tego sterownika jest obsługa zarządzania wolumenami. Sterownik
włącza definiowanie nowych urządzeń blokowych złożonych z przedziałów
sektorów na istniejących urządzeniach. Może to być wykorzystane do
definiowania partycji na dysku lub logicznych wolumenów. Ten lekki
składnik jądra może wspierać działające w przestrzeni użytkownika
narzędzia do zarządzania logicznymi wolumenami.

Ten pakiet zawiera program dmsetup skonsolidowany statycznie na
potrzeby initrd.

%prep
%setup -q -n LVM2.%{version}
%{?with_selinux:%patch0 -p1}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

# do not force --export-symbol linker option for e.g. statically linked executables
# -rdynamic compiler option drives linker in the right way.
%{__sed} -i -e 's#-Wl,--export-dynamic#-rdynamic#g' configure.in

%build
%if %{with initrd}
echo Using %{?with_glibc:GLIBC} %{?with_uClibc:uClibc} %{?with_dietlibc:diet} for initrd
%endif
cp -f /usr/share/automake/config.sub autoconf
%{__aclocal}
%{__autoconf}

%if %{with initrd}
%{?with_glibc:export CC="%{__cc}"}
%{?with_uClibc:export CC="%{_target_cpu}-uclibc-gcc"}
%{?with_dietlibc:cc="%{__cc}"; export CC="diet ${cc#ccache }"}

%configure \
	ac_cv_lib_dl_dlopen=no \
	%{?with_uClibc:ac_cv_func_siginterrupt=no} \
	%{?debug:--enable-debug} \
	--with-optimisation="%{rpmcflags} -Os" \
	--enable-static_link \
	--with-lvm1=internal \
	--disable-selinux \
	--%{?with_glibc:en}%{!?with_glibc:dis}able-selinux \
	--disable-readline \
	--disable-nls
# glibc version links with normal static libdevicemapper which has selinux enabled
# and we need to keep these in sync between device-mapper and lvm2

%{__sed} -i -e 's#rpl_malloc#malloc#g' lib/misc/configure.h
%{__sed} -i -e 's#rpl_realloc#realloc#g' lib/misc/configure.h

%{__make} -j1 -C include
%{__make} -j1 -C lib LIB_SHARED= VERSIONED_SHLIB=
%{__make} -j1 -C libdm LIB_SHARED= VERSIONED_SHLIB=
%{__make} -j1 -C tools dmsetup.static lvm.static %{?with_dietlibc:DIETLIBC_LIBS="-lcompat"}
mv -f tools/lvm.static initrd-lvm
mv -f tools/dmsetup.static initrd-dmsetup

# check if tools works
for tool in initrd-lvm initrd-dmsetup; do
	LVM_SYSTEM_DIR=$(pwd) ./$tool help && rc=$? || rc=$?
	if [ $rc -gt 127 ]; then
		echo >&2 "Unexpected failure (exit status: $rc) from $tool. Does this tool work?!"
		exit 1
	fi
done


%{?with_dietlibc:mv -f libdm/ioctl/libdevmapper.a diet-libdevmapper.a}
%{__make} clean

unset CC
%endif

%configure \
	--with-usrlibdir=%{_libdir} \
	%{?debug:--enable-debug} \
	--with-optimisation="%{rpmcflags}" \
	--enable-readline \
	--enable-fsadm \
	--enable-applib \
	--enable-cmdlib \
	%{?with_lvmetad:--enable-lvmetad} \
	--enable-dmeventd \
	--with-dmeventd-path=%{_sbindir}/dmeventd \
	--enable-pkgconfig \
	--enable-udev_sync \
	--enable-udev_rules \
%if %{with cluster}
	%{?with_corosync:--enable-cmirrord} \
	--with-clvmd=%{?with_cman:cman,}%{?with_openais:openais,}%{?with_corosync:corosync} \
%endif
	--with-lvm1=internal \
	--with-pool=internal \
	--with-cluster=internal \
	--with-snapshots=internal \
	--with-mirrors=internal \
	--with-thin=internal \
	--with-interface=ioctl \
	--with-udev-prefix=/ \
	--with-systemd_dir=%{systemdunitdir} \
	%{!?with_selinux:--disable-selinux}

%{__make} -j1
%{__make} -j1 -C libdm LIB_STATIC=libdevmapper.a

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/%{_lib},%{_sysconfdir}/lvm}
%{?with_dietlibc:install -d $RPM_BUILD_ROOT%{dietlibdir}}

%{__make} install install_system_dirs install_systemd_units install_initscripts \
	DESTDIR=$RPM_BUILD_ROOT \
	OWNER="" \
	GROUP=""

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/tmpfiles.d
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/tmpfiles.d/%{name}.conf

mv $RPM_BUILD_ROOT%{_libdir}/lib*.so.* $RPM_BUILD_ROOT/%{_lib}
for lib in $RPM_BUILD_ROOT/%{_lib}/lib*.so.*; do
	lib=$(echo $lib | sed -e "s#$RPM_BUILD_ROOT##g")
	slib=$(basename $lib | sed -e 's#\.so\..*#.so#g')
	ln -sf $lib $RPM_BUILD_ROOT%{_libdir}/$slib
done

touch $RPM_BUILD_ROOT%{_sysconfdir}/lvm/lvm.conf

%if %{with initrd}
install -d $RPM_BUILD_ROOT%{_libdir}/initrd
install -p initrd-lvm $RPM_BUILD_ROOT%{_libdir}/initrd/lvm
install -p initrd-dmsetup $RPM_BUILD_ROOT%{_libdir}/initrd/dmsetup

%{?with_dietlibc:cp -a diet-libdevmapper.a $RPM_BUILD_ROOT%{dietlibdir}/libdevmapper.a}
%endif

cp -a libdm/libdevmapper.a $RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add lvm2-monitor
%service lvm2-monitor restart
%systemd_post lvm2-monitor.service

%preun
%systemd_preun lvm2-monitor.service

%postun
if [ "$1" = "0" ]; then
	%service lvm2-monitor stop
	/sbin/chkconfig --del lvm2-monitor
fi
%systemd_reload

%triggerpostun -- %{name} < 2.02.94-1
%systemd_trigger lvm2-monitor.service

%post -n device-mapper
/sbin/ldconfig
%systemd_post dm-event.socket

%preun -n device-mapper
%systemd_preun dm-event.socket dm-event.service

%postun -n device-mapper
/sbin/ldconfig
%systemd_reload

%triggerpostun -n device-mapper -- device-mapper < 2.02.94-1
%systemd_trigger dm-event.socket

%files
%defattr(644,root,root,755)
%doc README WHATS_NEW doc/*
%attr(755,root,root) %{_sbindir}/fsadm
%attr(755,root,root) %{_sbindir}/lv*
%attr(755,root,root) %{_sbindir}/pv*
%attr(755,root,root) %{_sbindir}/vg*
%{_mandir}/man5/lvm.conf.5*
%{_mandir}/man8/fsadm.8*
%{_mandir}/man8/lv*.8*
%{_mandir}/man8/pv*.8*
%{_mandir}/man8/vg*.8*
%attr(750,root,root) %dir %{_sysconfdir}/lvm
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lvm/lvm.conf
%{_sysconfdir}/tmpfiles.d/lvm2.conf
%{systemdunitdir}/lvm2-monitor.service
%dir %{_sysconfdir}/lvm/cache
%ghost %{_sysconfdir}/lvm/cache/.cache
%attr(754,root,root) /etc/rc.d/init.d/lvm2-monitor

%if %{with cluster}
%files clvmd
%defattr(644,root,root,755)
%attr(755,root,root) %{_usrsbindir}/clvmd
%attr(754,root,root) /etc/rc.d/init.d/clvmd
%{_mandir}/man8/clvmd.8*

%if %{with corosync}
%files cmirrord
%defattr(644,root,root,755)
%attr(755,root,root) %{_usrsbindir}/cmirrord
%{_mandir}/man8/cmirrord.8*
%attr(754,root,root) /etc/rc.d/init.d/cmirrord
%endif
%endif

%files -n device-mapper
%defattr(644,root,root,755)
%doc *_DM
%{systemdunitdir}/dm-event.service
%{systemdunitdir}/dm-event.socket
/lib/udev/rules.d/10-dm.rules
/lib/udev/rules.d/11-dm-lvm.rules
/lib/udev/rules.d/13-dm-disk.rules
/lib/udev/rules.d/95-dm-notify.rules
%attr(755,root,root) %{_sbindir}/dmeventd
%attr(755,root,root) %{_sbindir}/dmsetup
%attr(755,root,root) /%{_lib}/libdevmapper*.so.*.*
%attr(755,root,root) /%{_lib}/liblvm2app.so.*.*
%attr(755,root,root) /%{_lib}/liblvm2cmd.so.*.*
%dir %{_libdir}/device-mapper
%attr(755,root,root) %{_libdir}/device-mapper/*.so
%attr(755,root,root) %{_libdir}/libdevmapper-event-*.so
%{_mandir}/man8/dmsetup.8*
%{_mandir}/man8/dmeventd.8*

%files -n device-mapper-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdevmapper.so
%attr(755,root,root) %{_libdir}/libdevmapper-event.so
%attr(755,root,root) %{_libdir}/liblvm2app.so
%attr(755,root,root) %{_libdir}/liblvm2cmd.so
%{_includedir}/libdevmapper*.h
%{_includedir}/lvm2app.h
%{_includedir}/lvm2cmd.h
%{_pkgconfigdir}/devmapper*.pc
%{_pkgconfigdir}/lvm2app.pc

%files -n device-mapper-static
%defattr(644,root,root,755)
%{_libdir}/libdevmapper*.a

%if %{with initrd}
%if %{with dietlibc}
%files -n device-mapper-dietlibc
%defattr(644,root,root,755)
%{dietlibdir}/libdevmapper.a
%endif

%files -n device-mapper-initrd
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/initrd/dmsetup

%files initrd
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/initrd/lvm
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lvm2.spec,v $
Revision 1.208  2012/07/02 16:45:05  jajcus
- fix path to the 'lvm' binary compiled into some other binaries
- Release: 11

Revision 1.207  2012/07/02 16:37:46  jajcus
- R: %{name} = %{version}-%{release} for clvmd and cmirrord

Revision 1.206  2012/07/01 14:46:49  jajcus
- Release: 10

Revision 1.205  2012/07/01 14:05:48  jajcus
- 'clvmd' and 'clvmd3' bconds replaced with 'cluster'
- dropped support for old cman and dlm
- 'cman', 'corosync' and 'openais' bconds added to select supported cluster
  engines

Revision 1.204  2012/06/30 20:29:35  jajcus
- dlm seems required even when building for corosync

Revision 1.203  2012/06/30 19:27:59  jajcus
- install cmirrord when built

Revision 1.202  2012/06/30 19:22:07  jajcus
- added 'without  cman' bcond, so clvmd can be built with openais support and
  no cman+dlm dependency

Revision 1.201  2012/06/02 15:59:14  baggins
- rel 9
- ude_get_dev_path is deprecated and has been removed in udev 183

Revision 1.200  2012/06/02 10:57:03  arekm
- release 8

Revision 1.199  2012/04/28 19:18:07  baggins
- rel 7
- drop initramfs package, it was never properly tested, never really updated
  and initramfs-tools functionality is obsoleted by dracut

Revision 1.198  2012/04/28 17:31:29  baggins
- rel 6
- looks like diet build is non-deterministic, back to uClibc

Revision 1.197  2012/04/28 17:29:08  baggins
- rel 5
- diet build works again

Revision 1.196  2012/04/18 15:15:31  glen
- sysv: lvm2monitor: calling programs via daemon() is asking for trouble; use buzy/ok/fail instead; this way quoting won't get lost

Revision 1.195  2012/04/18 11:56:01  glen
- remove backslash which made all vgchange calls void (passed to msg_ argument which ignored them)

Revision 1.194  2012/04/17 18:53:29  baggins
- disable lvmetad for now

Revision 1.193  2012/04/17 17:34:06  baggins
- rel 2
- systemd deps
- enable thin provisioning
- enable lvmetad

Revision 1.192  2012/04/05 09:14:43  baggins
- 2.02.95

Revision 1.191  2012/03/28 21:15:00  glen
- use pld systemd unit names in monitor unit

Revision 1.190  2012/03/28 10:36:17  baggins
- rel 3
- fix device-mapper libs packaging

Revision 1.189  2012/03/28 06:40:41  baggins
- set correct dmeventd path

Revision 1.188  2012/03/20 12:30:21  glen
- catch error, do not hide errors

Revision 1.187  2012/03/04 10:43:39  arekm
- make sure initrd tools work

Revision 1.186  2012/03/04 10:20:55  baggins
- rel 2
- build initrd version with uClibc, as diet build segfaults

Revision 1.185  2012/03/04 09:58:51  baggins
- fix uClibc build

Revision 1.184  2012/03/03 15:46:51  baggins
- 2.02.94
- merge lvm2-systemd bits into respective packages

Revision 1.183  2012/01/25 15:03:41  cactus
- add systemd support

Revision 1.182  2012/01/19 18:35:03  qboosh
- updated udev version
- added openais bcond (adds corosync,openais managers to clvmd, enables cmirrord)

Revision 1.181  2012/01/18 13:46:27  caleb
- Up to 2.02.88

Revision 1.180  2011/10/07 23:24:13  sls
- added pldize_lvm2_monitor.patch (lvm2_monitor still need some work)
- rel. 0.2

Revision 1.179  2011/07/19 21:30:45  glen
- fix ccache compile (again)

Revision 1.178  2011/05/21 09:38:23  arekm
- up to 2.02.85 (TODO: lvm2-monitor needs to be PLDized)

Revision 1.177  2011/03/06 16:53:47  baggins
- rel 2
- enable udev support

Revision 1.176  2011/02/23 22:08:36  baggins
- 2.02.84

Revision 1.175  2011/01/19 15:01:11  caleb
- Up to 2.02.81

Revision 1.174  2011/01/10 17:33:42  caleb
- Up to 2.02.80

Revision 1.173  2011/01/03 13:46:16  mmazur
- up to 2.02.79; builds this time

Revision 1.172  2010/12/17 10:04:53  caleb
- Up to 2.02.78

Revision 1.171  2010/11/23 15:52:53  caleb
- Up to 2.02.77

Revision 1.170  2010/11/17 08:25:53  qboosh
- removed obsolete no-floor patch

Revision 1.169  2010/11/17 08:04:30  qboosh
- updated dietlibc BR (UINT64_MAX needed)

Revision 1.168  2010/11/12 09:34:40  caleb
- Up to 2.02.76

Revision 1.167  2010/11/06 14:17:06  pluto
- define skip_check_post_so for libdevmapper-event-lvm2.so
  (it uses external dmeventd_debug variable provided by daemon).
  build finished, feel free to test...

Revision 1.166  2010/11/06 11:44:47  pluto
- export CC for initrd's configure/make time but linking still fails
  on LVM2.2.02.75/tools/dmsetup.c:2969: undefined reference to `canonicalize_file_name'

Revision 1.165  2010/11/06 10:26:29  pluto
- fix one linking issue...
  now uClibc/glibc build fails on unresolved symbols checking:
   .../lib64/libdevmapper-event-lvm2.so.2.02
        dmeventd_debug
  while dietlibc build fails on lack of -lcompat.

Revision 1.164  2010/10/26 18:11:31  arekm
- up to 2.02.75 but fails on linking

Revision 1.163  2010/08/25 09:51:37  glen
- release 1

Revision 1.162  2010/07/30 17:01:14  sparky
- added no-floor patch, always enabled to assure consistent results

Revision 1.161  2010/07/30 16:26:28  glen
- use uClibc not glibc where floor was not avail (800k initrd binary instead of 1.5M)

Revision 1.160  2010/07/30 16:11:59  glen
- glibc initrd needs selinux static libs

Revision 1.159  2010/07/30 16:07:08  glen
- simplify dep system: enable glibc if both alternative libc disabled

Revision 1.158  2010/07/30 16:04:14  glen
- disable arch dietlibc without floor in -lm

Revision 1.157  2010/07/30 12:23:01  glen
- builds with default bconds on ac!

Revision 1.156  2010/07/30 11:23:19  glen
- ccache hack fixed differently

Revision 1.155  2010/07/29 10:32:09  glen
- fix building with glibc initrd

Revision 1.154  2010/07/29 10:16:02  glen
- without diet fix, up to 2.02.72

Revision 1.153  2010/07/29 10:09:52  glen
- initrd info, ac fixes

Revision 1.152  2010/07/17 17:54:03  alucard
- up to 2.02.69
- pldized clvm.init script (patch)
- bcond to build clvmd against 3rd generation of cluster suite

Revision 1.151  2010/06/20 19:05:54  qboosh
- updated to 2.02.67
- readline todo outdated

Revision 1.150  2010/05/18 13:21:21  sparky
- BR: pkgconfig

Revision 1.149  2010/05/18 11:48:49  arekm
- dietlibc needs -lcompat for getline

Revision 1.148  2010/05/18 11:34:13  arekm
- up to 2.02.64 but no initrd for now

Revision 1.147  2010/01/16 21:56:56  arekm
- up to 2.02.58

Revision 1.146  2010/01/14 19:33:24  arekm
- up to 2.02.57

Revision 1.145  2009/11/25 06:34:46  glen
- up to 2.02.56

Revision 1.144  2009/09/26 16:20:24  arekm
- up to 2.02.53

Revision 1.143  2009/09/17 08:10:23  arekm
- up to 2.02.52

Revision 1.142  2009/08/31 19:34:03  arekm
- rel 3; this lvm2-initrd needs /dev/urandom in initrd

Revision 1.141  2009/08/28 20:52:32  arekm
- rel 2

Revision 1.140  2009/08/28 20:01:57  arekm
- BC device-mapper-dietlibc when building pkg

Revision 1.139  2009/08/10 16:59:35  arekm
- up to 2.02.51

Revision 1.138  2009/07/19 13:38:45  arekm
- up to 2.02.49

Revision 1.137  2009/06/11 00:44:22  glen
- resurrect dmsetup export from device mapper; rel 5

Revision 1.136  2009/04/06 15:12:26  baggins
- one more C fixed

Revision 1.135  2009/04/06 15:09:31  baggins
- rel 4
- proper C on geninitrd

Revision 1.134  2009/03/23 14:10:51  baggins
- unify dietlibc compile options and calls

Revision 1.133  2009/03/23 13:03:13  baggins
- Conflicts: geninitrd <= 10000.3 (geninitrd-10000.3 doesn't know _libdir/initrd)

Revision 1.132  2009/03/23 12:59:05  baggins
- put programs for initrd into common directory _libdir/initrd

Revision 1.131  2009/03/18 16:03:25  baggins
- rel 3

Revision 1.130  2009/03/18 15:55:59  baggins
- don't build shared lib for initrd

Revision 1.129  2009/03/18 15:31:19  baggins
- simpler

Revision 1.128  2009/03/18 15:25:10  baggins
- trying to build it on x86-64 without recompiling dietlibc

Revision 1.127  2009/03/18 13:47:56  baggins
- rel 2
- added dietlibc and glibc bconds
- build with dietlibc by default
- added device-mapper-dietlibc package

Revision 1.126  2009/03/12 16:02:10  glen
- bootup should not touch filesystem

Revision 1.125  2009/03/05 19:25:22  arekm
- up to 2.02.45

Revision 1.124  2009/02/26 23:17:13  baggins
- we have to explicitly make dmsetup.static, weird

Revision 1.123  2009/02/26 23:02:48  baggins
- rel 5
- resurrect device-mapper-initrd
- uClibc works fine for me on x8664

Revision 1.122  2009/02/26 15:20:50  baggins
- rel 4

Revision 1.121  2009/02/26 15:12:45  baggins
- added initramfs subpackage (NEED TESTERS)

Revision 1.120  2009/02/26 14:32:57  baggins
- added initramfs support files to package

Revision 1.119  2009/02/23 22:06:50  arekm
- release 3

Revision 1.118  2009/02/08 17:13:17  arekm
- release 2

Revision 1.117  2009/01/30 23:03:56  arekm
- up to 2.02.44

Revision 1.116  2008/12/10 15:45:23  arekm
- rel 3; fix dm deps

Revision 1.115  2008/12/07 10:24:09  arekm
- release 2

Revision 1.114  2008/11/29 22:02:20  arekm
- O: device-mapper-initrd + devel (not needed anymore)

Revision 1.113  2008/11/29 21:37:56  qboosh
- fix liblvm2cmd soname
- dropped redundant CFLAGS passing
- libs linking needs killing -lreadling

Revision 1.112  2008/11/24 12:01:47  arekm
- lvm2 up to 2.02.43; device-mapper is now part of lvm2 package

Revision 1.111  2008/11/01 23:44:47  arekm
- fix clvmd bcond

Revision 1.110  2008/10/29 10:11:53  hawk
- inlcude clvmd in package, release 2

Revision 1.109  2008/10/29 08:46:29  arekm
- up to 2.02.42

Revision 1.108  2008/10/06 19:08:36  qboosh
- added no-partial-mode patch, builds now

Revision 1.107  2008/09/27 23:09:38  charles
- updated to 2.02.40

Revision 1.106  2008/07/25 13:09:28  glen
- RMF says 2.02.x doesn't work with 2.4 kernels

Revision 1.105  2008/07/25 10:09:20  patrys
- bump devmapper requirement
- rel 3

Revision 1.104  2008/07/19 13:44:55  glen
- release 2

Revision 1.103  2008/07/15 07:59:02  arekm
- up to 2.02.39; fix selinux related build problem by syncing options with device-mapper; disable readline for initrd

Revision 1.102  2008/07/06 17:30:55  arekm
- rel 3 (TODO: there are new device-mapper and lvm versions upstream)

Revision 1.101  2008/06/21 09:16:27  adamg
- BR: libsepol-devel (with selinux bcond)
- don't link libselinux/libsepol in static builds (lvm2-selinux.patch)
- release 2

Revision 1.100  2008/04/15 22:44:30  qboosh
- updated to 2.02.35
- updated as-needed patch

Revision 1.99  2008-04-14 20:54:05  arekm
- up to 2.02.34

Revision 1.98  2008-04-03 11:17:07  glen
- rel 1 (why it was 0.1?)

Revision 1.97  2008-04-01 19:22:26  glen
- needs static selinux here

Revision 1.96  2007-12-16 23:28:05  qboosh
- updated to 2.02.29

Revision 1.95  2007-10-31 18:13:49  glen
- uClibc lvm.static not usable on amd64 (again)

Revision 1.94  2007/10/31 17:57:54  glen
- --enable-debug for debug
- add selinux.patch for static glibc linkage

Revision 1.93  2007/09/09 23:16:13  qboosh
- updated to 2.02.28
- updated as-needed patch, removed obsolete susv3 patch

Revision 1.92  2007/07/01 12:54:25  qboosh
- added susv3 patch (use strchr()/strrchr() instead of index()/rindex())

Revision 1.91  2007/06/30 18:40:31  arekm
- up to 2.02.26

Revision 1.90  2007/05/01 13:42:00  qboosh
- use dm 1.02.19

Revision 1.89  2007/05/01 13:41:04  qboosh
- updated to 2.02.25

Revision 1.88  2007/04/06 10:38:26  qboosh
- dropped gulm support as it has been dropped from cluster; always use cman for clvmd

Revision 1.87  2007/04/01 00:41:21  arekm
- up to 2.02.24

Revision 1.86  2007/02/16 17:26:55  arekm
- rel 1

Revision 1.85  2007/02/16 08:36:40  arekm
- up to 2.02.22

Revision 1.84  2007/02/13 06:46:53  glen
- tabs in preamble

Revision 1.83  2007/02/12 00:49:06  baggins
- converted to UTF-8

Revision 1.82  2007/02/04 15:21:26  areq
-  devmapper_ver   1.02.17

Revision 1.81  2007/02/03 15:53:47  areq
- 2.02.21

Revision 1.80  2006/12/09 22:30:12  qboosh
- updated to 2.02.16

Revision 1.79  2006/11/23 20:18:05  qboosh
- updated to 2.02.15

Revision 1.78  2006/11/19 01:22:55  qboosh
- updated to 2.02.14

Revision 1.77  2006/10/18 06:33:10  qboosh
- clvmd always BR: dlm-devel (for defs from libdlm.h)

Revision 1.76  2006/10/05 21:51:45  qboosh
- updated to 2.02.10

Revision 1.75  2006/08/22 21:39:21  qboosh
- updated to 2.02.09
- more strict device-mapper deps

Revision 1.74  2006/08/05 12:54:41  sparky
- kill forced -O2

Revision 1.73  2006/08/01 23:03:16  sparky
- sed's moved to patch

Revision 1.72  2006/08/01 00:39:47  sparky
- pass LDFLAGS to fsadm

Revision 1.71  2006/07/31 22:48:26  sparky
- look for tgetent() in -ltinfo - as-needed fix

Revision 1.70  2006/07/19 18:49:59  qboosh
- updated to 2.02.07
- clvmd builds again, added cman bcond

Revision 1.69  2006/07/17 18:15:52  sparky
- organised with initrd, uClibc-static >= 2:0.9.29 for ppc

Revision 1.68  2006/07/12 17:14:06  glen
- todo is fixed, configure cache must be disabled

Revision 1.67  2006/06/20 16:43:01  wiget
- BR fixed device-mapper-initrd-devel to build on %{x8664}
- release 0.4

Revision 1.66  2006/06/20 11:24:52  wiget
- release 0.3 (rebuild with new uClibc and new device-mapper)

Revision 1.65  2006/05/21 17:02:59  glen
- build with system device-mapper

Revision 1.64  2006/05/20 12:27:10  glen
- warning: unusable

Revision 1.63  2006/05/20 02:22:04  glen
- update to 2.02.06
- use built libdevmapper.a instead of assembling partial one
- default clvmd (if unspecified) used is cman, force gulm as it was
  here, but it fails bulding; disabled bcond
- dm updated to 1.02.07

Revision 1.62  2005/10/19 16:16:16  arekm
- up to 2.01.15

Revision 1.61  2005/09/17 11:44:34  arekm
- new readline 5.0

Revision 1.60  2005/08/23 13:42:32  baggins
- no spaces in bconds

Revision 1.59  2005/08/09 22:06:29  areq
- fix  Requires without clvmd

Revision 1.58  2005/08/06 15:27:26  qboosh
- updated to 2.01.14, dm 1.01.04

Revision 1.57  2005/06/20 18:44:07  baggins
- release 3
- strict BR

Revision 1.56  2005/06/20 12:21:42  baggins
- release 2
- strict req dlm in gulm (lvm2 must have them in /lib)

Revision 1.55  2005/06/18 18:31:14  qboosh
- use device-mapper 1.01.03

Revision 1.54  2005/06/18 17:50:34  areq
- 2.01.12

Revision 1.53  2005/05/29 06:32:42  paszczus
- updated LVM2 to 2.01.10
- updated dm to 1.01.02
- STBR

Revision 1.52  2005/05/25 09:32:54  speedy
- BR in proper place...
- rel 2

Revision 1.51  2005/05/21 14:09:06  speedy
- BR: readline-devel

Revision 1.50  2005/05/11 15:27:01  qboosh
- use x8664 macro

Revision 1.49  2005/04/14 21:18:45  qboosh
- it's sufficient to rebuild main configure once
- updated cluster BRs

Revision 1.48  2005/04/10 10:55:17  paszczus
- adaptarized

Revision 1.47  2005/04/06 19:37:32  paszczus
- updated lvm2 to 2.01.09
- updated dm to 1.01.01

Revision 1.46  2005/01/19 22:06:55  adamg
- added %%bcond_without selinux

Revision 1.45  2005/01/15 22:14:36  qboosh
- device-mapper updated to 1.00.21

Revision 1.44  2005/01/09 17:50:21  adamg
- updated to 2.00.33

Revision 1.43  2005/01/05 11:47:42  qboosh
- disable shared modules in (static) initrd version

Revision 1.42  2005/01/03 20:25:00  adamg
- updated to 2.00.32

Revision 1.41  2004/12/16 11:32:52  adamg
- updated to 2.00.31

Revision 1.40  2004/12/10 23:34:23  adamg
- updated to 2.00.30

Revision 1.39  2004/11/23 21:01:13  arekm
- updated to 2.00.26

Revision 1.38  2004/10/25 12:05:19  arekm
- rel1

Revision 1.37  2004/10/17 23:14:10  adamg
- updated to 2.00.25

Revision 1.36  2004/09/16 13:56:21  arekm
- updated to 2.00.23

Revision 1.35  2004/09/03 22:09:14  arekm
- updated to 2.00.22

Revision 1.34  2004/08/15 22:12:14  havner
- rel 2

Revision 1.33  2004/07/29 22:00:38  qboosh
- fixed wrong libdir define (unused?)

Revision 1.32  2004/07/03 20:29:06  arekm
- updated to 2.00.20; all patches obsolete now, kudos to agk@rh

Revision 1.31  2004/07/02 22:52:54  arekm
- patches obsolete; cluster is conditional now

Revision 1.30  2004/06/26 23:16:51  arekm
- enable cluster daemon

Revision 1.29  2004/06/24 17:32:33  arekm
- updated to 2.00.18

Revision 1.28  2004/06/24 12:43:00  arekm
- enable other stuff like pool/mirror/snapshots

Revision 1.27  2004/06/23 13:46:50  arekm
- rel 2; fixes initrd-lvm (CFLAGS= overrided configure settings and devicemapper was lost)

Revision 1.26  2004/06/20 17:13:53  arekm
- updated to 2.00.17

Revision 1.25  2004/05/27 21:39:27  qboosh
- R: libselinux >= 1.10, dropped obsolete CONFIG_DM_IOCTL_V4, optflags fix

Revision 1.24  2004/05/25 01:07:06  arekm
- updated to 2.00.16

Revision 1.23  2004/05/06 17:24:45  qboosh
- fixed opt patch, changed the way of hacking CFLAGS to preserve -fPIC
- support linking initrd version with static glibc on platforms w/o uClibc

Revision 1.22  2004/04/24 13:03:48  mmazur
- gkh patch unneeded

Revision 1.21  2004/04/23 18:25:45  arekm
- updated to 2.0.15

Revision 1.20  2004/04/01 00:43:18  arekm
- updated to 2.00.09

Revision 1.19  2004/03/05 14:39:07  andree
- copy config.sub

Revision 1.18  2004/01/25 19:54:14  arekm
- initrd builds with new uClibc

Revision 1.17  2004/01/25 00:12:22  arekm
- more initrd/gkh work

Revision 1.16  2004/01/24 00:59:52  arekm
- changing initrd bcond to make it usable (but for now it's off by default)

Revision 1.15  2003/11/30 19:00:15  arekm
- require latest device-mapper (BR)

Revision 1.14  2003/11/28 22:07:33  qboosh
- updated to 2.00.08, added opt patch, new-style bcond

Revision 1.13  2003/10/25 13:25:41  ankry
- pl: linkowanie -> konsolidacja, shell -> powłoka

Revision 1.12  2003/09/16 20:26:48  arekm
- updated to 2.00.07

Revision 1.11  2003/08/20 23:47:23  arekm
- updated to 2.00.06

Revision 1.10  2003/08/13 22:52:22  ankry
- description fixes / unification

Revision 1.9  2003/08/04 21:18:28  areq
- remove BUGS form doc

Revision 1.8  2003/07/18 22:26:43  arekm
- updated to 2.00.05 but not tested

Revision 1.7  2003/05/28 12:59:38  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 05:50:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/05/22 13:20:58  baggins
- add missing dirs

Revision 1.4  2003/04/15 17:37:33  baggins
- obsoletes lvm

Revision 1.3  2003/04/15 17:37:08  baggins
- now it builds (don't know if works ;)

Revision 1.2  2003/04/15 17:18:00  baggins
- it compiles

Revision 1.1  2003/04/15 16:18:52  baggins
- raw, copied from lvm.spec
